import sys

'''
Обчислити вартість товару, якщо ввести його кількість та ціну за одиницю.
'''


def main():
    try:
        q = float(input("Введіть кількість товару: "))
        p = float(input("Введіть ціну за одиницю товару: "))
        if q >= 0:
            if p >= 0:
                pc = q * p
            else:
                pc = "Некоректні дані. Кількість і ціна за одиницю товару повинні бути не від'ємними."
        else:
            pc = "Некоректні дані. Кількість і ціна за одиницю товару повинні бути не від'ємними."
        if isinstance(pc, float):
            print(f"Вартість товару: {pc}")
            sys.exit(0)
        else:
            print(pc)
            sys.exit(1)
    except ValueError:
        print("Некоректні дані. Введіть числові значення для кількості та ціни за одиницю товару.")
        sys.exit(1)


if __name__ == "__main__":
    main()
